Next: IANY, Previous: IALL, Up: Intrinsic Procedures [Contents][Index]

### 9.129 `IAND` — Bitwise logical and

Description:

  Bitwise logical `AND`.

Standard:

  Fortran 95 and later

Class:

  Elemental function

Syntax:

  `RESULT = IAND(I, J)`

Arguments:

  I | The type shall be `INTEGER`.
  J | The type shall be `INTEGER`, of the same kind as I. (As a GNU extension, different kinds are also permitted.)

Return value:

  The return type is `INTEGER`, of the same kind as the arguments. (If the argument kinds differ, it is of the same kind as the larger argument.)

Example:

      PROGRAM test_iand
        INTEGER :: a, b
        DATA a / Z'F' /, b / Z'3' /
        WRITE (*,*) IAND(a, b)
      END PROGRAM

See also:

  IOR, IEOR, IBITS, IBSET, IBCLR, NOT